<script setup lang="ts">
import { useUserStore } from '../stores/user'
import UserDialog from '../component/UserDialog.vue'
import TableLayout from '@/layouts/TableLayout.vue'
import SearchTableField from '@/components/SearchTableField.vue'
const store = useUserStore()
</script>

<template>
  <TableLayout
    title="User Management"
    :items="store.users"
    :headers="store.headers"
    :callback-func="store.fetchUsers"
    has-action
  >
    <template #topCardText>
      <v-row>
        <v-col>
          <SearchTableField></SearchTableField>
        </v-col>
        <v-col cols="auto">
          <UserDialog> </UserDialog>
        </v-col>
      </v-row>
    </template>
    <template #actions="{ item }">
      <v-btn size="small" flat icon="mdi-delete" @click="store.deleteItem(item.id)"></v-btn>
    </template>
  </TableLayout>
</template>
